Bug 414661 - rhn-satellite-exporter --make-iso option breaks if mkisofs is not installed
rhn-satellite-exporter --make-iso option breaks if mkisofs is not installed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
510
All Linux
low Severity low
: ---
: ---
Assigned To: Pradeep Kilambi
wes hayutin
:
Depends On:
Blocks: 248627
  Show dependency treegraph
 
Reported: 2007-12-06 14:18 EST by Pradeep Kilambi
Modified: 2008-04-02 20:19 EDT (History)
0 users

See Also:
Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 20:19:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pradeep Kilambi 2007-12-06 14:18:36 EST
Description of problem:

rhn-satellite-exporter tool with --make-iso option  fails if mkisofs package is
not installed..

 [root@rlx-0-22 satellite_tools]# rhn-satellite-exporter
--db=rhnsat/rhnsat@rhnsat --dir=/tmp/dumps --start-date=20070106000000 -c
rhn-tools-rhel-i386-server-5 --debug=5 --make-iso=cd
....

18:13:14 Number of kickstart files exported: 0
sh: mkisofs: command not found
---------- 1/3
Creating /tmp/dumps/satellite-isos/rhn-export-20070106000000-20071206181310.0-01.iso

---------- 2/3
Creating /tmp/dumps/satellite-isos/rhn-export-20070106000000-20071206181310.0-02.iso

---------- 3/3
Creating /tmp/dumps/satellite-isos/rhn-export-20070106000000-20071206181310.0-03.iso

sh: mkisofs: command not found
sh: mkisofs: command not found
Comment 1 Pradeep Kilambi 2007-12-06 14:33:34 EST
Sending        satellite_tools/geniso.py
Sending        satellite_tools/intersat_sync/iss.py
Transmitting file data ..
Committed revision 134567.

after the fix:

 [root@rlx-0-22 satellite_tools]# rhn-satellite-exporter
--db=rhnsat/rhnsat@rhnsat --dir=/tmp/dumps --start-date=20070106000000 -c
rhn-tools-rhel-i386-server-5 --debug=5 --make-iso=cd
....

Exporting: #################### - Done!
18:16:51 Amount of kickstart data exported: 0


18:16:51 Exporting kickstart files...
           ____________________
Exporting: #################### - Done!
18:16:51 Number of kickstart files exported: 0
ERROR:: mkisofs is not Installed. Cannot Proceed iso build. Please install
mkisofs and rerun this command.
Comment 2 wes hayutin 2007-12-12 09:34:03 EST
verified build 28
Comment 3 Brandon Perkins 2008-04-02 20:19:10 EDT
5.1 Sat GA so Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.